GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnLabels Class Reference

## Public Member Functions
TemplateSet | getTemplateSet ()
void | setTemplateSet (TemplateSet value)
LabelFormat | getLabelFormat ()
void | setLabelFormat (LabelFormat value)

## Protected Attributes
TemplateSet | templateSet
LabelFormat | labelFormat

## Detailed Description

The service shall return the labels in the defined format using the defined templates

Java class for ReturnLabels complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ReturnLabels">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TemplateSet" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}TemplateSet"/>
            <element name="LabelFormat" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}LabelFormat"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java.

## Member Function Documentation

## ◆ getLabelFormat()

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnLabels.getLabelFormat | ( |  | ) |

Gets the value of the labelFormat property.

Returns
  possible object is LabelFormat

Definition at line 81 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java.

## ◆ getTemplateSet()

TemplateSet eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnLabels.getTemplateSet | ( |  | ) |

Gets the value of the templateSet property.

Returns
  possible object is TemplateSet

Definition at line 57 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java.

## ◆ setLabelFormat()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnLabels.setLabelFormat | ( | LabelFormat | value | ) |

Sets the value of the labelFormat property.

Parameters

  value | allowed object is LabelFormat

Definition at line 93 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java.

## ◆ setTemplateSet()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnLabels.setTemplateSet | ( | TemplateSet | value | ) |

Sets the value of the templateSet property.

Parameters

  value | allowed object is TemplateSet

Definition at line 69 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java.

## Member Data Documentation

## ◆ labelFormat

LabelFormat eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnLabels.labelFormat
| protected

Definition at line 47 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java.

## ◆ templateSet

TemplateSet eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReturnLabels.templateSet
| protected

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReturnLabels.java